package com.gyee.frame.util;


import com.gyee.frame.common.conf.V2Config;

import com.gyee.frame.util.golden.EdosUtil;
import com.gyee.frame.util.hwy.HwyUtil;

public class RealTimeDataBaseFactory {


    public static IRealTimeDataBaseUtil createRealTimeDataBase() {

//        return new EdosUtil();
        switch (V2Config.getRealtimedataBase()) {
            case "mongodb":
                return new MongoEdosUtil();
            case "golden":
                return new EdosUtil();
            case "hwy":
                return new HwyUtil();
            default:
                return new EdosUtil();
        }


    }
}
